Subject: Re: [PATCH net-next v2 2/2] cxgb4: collect hardware dump in second kernel

From: Andrew Lunn <[email-masked]>
Date: Sat, 24 Mar 2018 16:18:52 +0100

On Sat, Mar 24, 2018 at 04:26:34PM +0530, Rahul Lakkireddy wrote:
> Register callback to collect hardware/firmware dumps in second kernel
> before hardware/firmware is initialized.  The dumps for each device
> will be available under /sys/kernel/crashdd/cxgb4/ directory in second
> kernel.
> 
> Signed-off-by: Rahul Lakkireddy <[email-masked]>
> Signed-off-by: Ganesh Goudar <[email-masked]>

Thanks for adding generic documentation about the files in sysfs.

However, you don't add any specific documentation here about the cxgb4
crash dump. How am i supposed to interpret it? Does it follow any of
the standard core dump formats? How do i use gdb with it? Are there
some specific tools i should use to analyse it?

Thanks
	Andrew